import type { ObservableVariable } from '../ObservableDataType/ObservableVariable';
import type { ObservableSet } from '../ObservableDataType/ObservableSet';
import type { ObservableMap } from '../ObservableDataType/ObservableMap';
import type { ObservableArray } from '../ObservableDataType/ObservableArray';
/**
 * 观察一个或多个变量的变化
 * @param items 要被监听的变量列表
 * @param callback 回调函数
 * @param eventType 要监听的事件类型
 * @returns 返回一个 off 方法用于取消监听
 */
export declare function watch(items: (ObservableVariable<any> | ObservableSet<any> | ObservableMap<any, any> | ObservableArray<any>)[], callback: (eventType: 'set' | 'add' | 'delete' | 'update', eventData: any[]) => void, eventType?: ('set' | 'add' | 'delete' | 'update')[]): () => void;
